type Lang = 'en-US' | 'zh-CN';
declare class I18n {
    private replaceMap;
    setLocaleWithPromise(targetLocale: Lang): Promise<unknown>;
    setReplaceMap(replaceMap: Map<RegExp | string, string>): void;
    t: (key: string, params?: object, fallBackLiteral?: string) => string;
    private doReplace;
}
declare const i18nHelper: I18n;
export default i18nHelper;
